kate Library: KateCommands::SedReplace Class Reference (kate Library)

| # kate Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KateCommands::SedReplace Class Reference

-- Charles Samuels <charles@kde.org> Support vim/sed find and replace s/search/replace/ find search, replace with replace on this line s/search/replace/ do the same to the whole file s/search/replace/i do the S. More...

`#include <katecmds.h>`

Inheritance diagram for KateCommands::SedReplace:

[legend]
Collaboration diagram for KateCommands::SedReplace:

[legend]
List of all members.

## Public Member Functions
bool | exec (class Kate::View *view, const QString &cmd, QString &errorMsg)
bool | help (class Kate::View *, const QString &, QString &)
QStringList | cmds ()

## Detailed Description

-- Charles Samuels <charles@kde.org> Support vim/sed find and replace s/search/replace/ find search, replace with replace on this line s/search/replace/ do the same to the whole file s/search/replace/i do the S.

and R., but case insensitively $s/search/replace/ do the search are replacement to the selection only

$s/// is currently unsupported

Definition at line 72 of file katecmds.h.

## Member Function Documentation

bool KateCommands::SedReplace::exec | ( | class Kate::View * | view,
|  | const QString & | cmd,
|  | QString & | errorMsg
| ) |

  | execute command Parameters:
  | view | view to use for execution
  | cmd | cmd string
  | errorMsg | error to return if no success
Returns: success Definition at line 453 of file katecmds.cpp. References QRegExp::cap(), endl(), kdDebug(), and QRegExp::search().

QStringList KateCommands::SedReplace::cmds | ( |  | ) | `[inline, virtual]`

| supported commands as prefixes Returns: prefix list Implements Kate::Command. Definition at line 90 of file katecmds.h.

The documentation for this class was generated from the following files:

- katecmds.h
- katecmds.cpp

This file is part of the documentation for kate Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:37:01 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003